package com.fs.live.mapper;


import com.fs.live.domain.LiveEventConf;

import java.util.List;

/**
 * 直播触发事件配置Mapper接口
 *
 * @author fs
 * @date 2025-07-17
 */
public interface LiveEventConfMapper {
    /**
     * 查询直播触发事件配置
     *
     * @param eventId 直播触发事件配置主键
     * @return 直播触发事件配置
     */
    LiveEventConf selectLiveEventConfByEventId(Long eventId);

    /**
     * 查询直播触发事件配置列表
     *
     * @param liveEventConf 直播触发事件配置
     * @return 直播触发事件配置集合
     */
    List<LiveEventConf> selectLiveEventConfList(LiveEventConf liveEventConf);

    /**
     * 新增直播触发事件配置
     *
     * @param liveEventConf 直播触发事件配置
     * @return 结果
     */
    int insertLiveEventConf(LiveEventConf liveEventConf);

    /**
     * 修改直播触发事件配置
     *
     * @param liveEventConf 直播触发事件配置
     * @return 结果
     */
    int updateLiveEventConf(LiveEventConf liveEventConf);

    /**
     * 删除直播触发事件配置
     *
     * @param eventId 直播触发事件配置主键
     * @return 结果
     */
    int deleteLiveEventConfByEventId(Long eventId);

    /**
     * 批量删除直播触发事件配置
     *
     * @param eventIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteLiveEventConfByEventIds(Long[] eventIds);
}
